<?php

/*
 * This file is part of PHPExifTool.
 *
 * (c) 2012 Romain Neutron <imprec@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace PHPExiftool\Driver\Tag\NikonCapture;

use JMS\Serializer\Annotation\ExclusionPolicy;
use PHPExiftool\Driver\AbstractTag;

/**
 * @ExclusionPolicy("all")
 */
class CropOutputHeightInches extends AbstractTag
{

    protected $Id = 150;

    protected $Name = 'CropOutputHeightInches';

    protected $FullName = 'NikonCapture::CropData';

    protected $GroupName = 'NikonCapture';

    protected $g0 = 'MakerNotes';

    protected $g1 = 'NikonCapture';

    protected $g2 = 'Image';

    protected $Type = 'double';

    protected $Writable = true;

    protected $Description = 'Crop Output Height Inches';

    protected $flag_Permanent = true;

}
